Subject: R: [Speechsc] Recognizer has no support of lexicons

From: "Baggia Paolo" <[email-masked]>
Date: Fri, 24 Feb 2006 09:35:21 +0100

We completely agree with Dave's arguments, so we are happy you can proceed with Dave's suggestions.

Paolo Baggia, Loquendo.

________________________________

Da: Shanmugham, Saravanan [mailto:[email-masked]] 
Inviato: giovedì 23 febbraio 2006 19.18
A: Reifenrath, Klaus; Dave Burke; [email-masked]
Cc: Forgues, Pierre
Oggetto: RE: [Speechsc] Recognizer has no support of lexicons

Considering we do have a DEFINE-LEXICON for the synthesizer, and hearing Dave arguments for it, I am inclined to ask if you have a strong reservation/argument against allowing it for recognizers as well.

If not I would like to proceed with Dave's suggestion.

Thanks,

Sarvi

________________________________

	From: Reifenrath, Klaus [mailto:[email-masked]] 
	Sent: Thursday, February 23, 2006 5:14 AM
	To: 'Dave Burke'; Shanmugham, Saravanan; [email-masked]
	Cc: Forgues, Pierre; Carter, Jerry
	Subject: RE: [Speechsc] Recognizer has no support of lexicons

	You are right, SSML documents can reference lexicons, BUT the synthesizer resource MUST also accepts plain text for SPEAK. Therefore we need DEFINE-LEXICON and also the Speech-Language header field for the synthesizer resource. 

	Can you please give use cases where DEFINE-LEXICON is required for a recognizer resource. 

	Klaus

________________________________

	From: Dave Burke [mailto:[email-masked]] 
	Sent: Donnerstag, 23. Februar 2006 11:51
	To: Reifenrath, Klaus; 'Shanmugham, Saravanan'; [email-masked]
	Cc: Forgues, Pierre
	Subject: Re: [Speechsc] Recognizer has no support of lexicons

	That's not a symmetric analogy (an equivalent of DEFINE-GRAMMAR would be a DEFINE-SSML, which doesn't exist). Note that SSML documents can also reference lexicons the same way as SRGS documents do. By the same reasoning, DEFINE-LEXICON is superfluous...

	I actually think the mechanism for defining lexicons independent of grammars / SSML documents (i.e. DEFINE-LEXICON) is a good thing and hence would like to see the addition of DEFINE-LEXICON for the speechrecog resource.

	Dave

		----- Original Message ----- 

		From: Reifenrath, Klaus <mailto:[email-masked]>  

		To: 'Shanmugham, Saravanan' <mailto:[email-masked]>  ; Dave Burke <mailto:[email-masked]>  ; [email-masked] 

		Cc: Forgues, Pierre <mailto:[email-masked]>  

		Sent: Thursday, February 23, 2006 7:51 AM

		Subject: RE: [Speechsc] Recognizer has no support of lexicons

		I do not think that we need DEFINE-LEXICON for Recognize resources, because the equivalent to DEFINE-LEXICON method of synthesizer resources is the DEFINE-GRAMMAR method that allows to pre-load grammars. SRGS grammars already allow to reference pronunciation lexicons (http://www.w3.org/TR/speech-grammar/#S4.10). 

		Regards,

		Klaus

________________________________

		From: Shanmugham, Saravanan [mailto:[email-masked]] 
		Sent: Donnerstag, 23. Februar 2006 01:24
		To: Dave Burke; [email-masked]
		Subject: RE: [Speechsc] Recognizer has no support of lexicons

		DEFINE-LEXICON is defined for the synthesizer resource because it was proposed relatively recently on the alias. 

		I don't believe it was ever proposed for Recognized resource.

		The Spec is nearing completion and we would like to go last call with the next version. So I would like to keep new additions to the specification to a minimum.

		But considering that the DEFINE-LEXICON is already defined for the synthesizer resource. 

		I could convinced to add support for it on Recognizer resources as well, as long as we are no proposing majorly rewriting those sections.

		If I understand this correctly, all this will need is to add support for the following headers, methods and message bodies as currently defined to the Recognition section.

		8.4.17. Load-Lexicon

		8.4.17. Load-Lexicon

		8.5.2. Lexicon Data

		8.14. DEFINE-LEXICON

		If thats the extent of this proposal. I think that could be done in the next version of the document.

		Let me know if this addresses your concern.

		Thanks,

		Sarvi

________________________________

			From: [email-masked] [mailto:[email-masked]] On Behalf Of Dave Burke
			Sent: Friday, February 17, 2006 8:38 AM
			To: [email-masked]
			Subject: [Speechsc] Recognizer has no support of lexicons

			There is an upcoming lexicon format from the W3C (see http://www.w3.org/TR/2006/WD-pronunciation-lexicon-20060131/)

			That will work nicely with speechsynth resources. But why haven't we defined DEFINE-LEXICON et al for the recognizer?

			Dave

Gruppo Telecom Italia - Direzione e coordinamento di Telecom Italia S.p.A.

================================================
CONFIDENTIALITY NOTICE
This message and its attachments are addressed solely to the persons above and may contain confidential information. If you have received the message in error, be informed that any use of the content hereof is prohibited. Please return it immediately to the sender and delete the message. Should you have any questions, please send an e_mail to <mailto:[email-masked]>[email-masked]. Thank you<http://www.loquendo.com>www.loquendo.com
================================================

_______________________________________________
Speechsc mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/speechsc